Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class FilterReader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.FilterReader

Direct Known Subclasses:
  PushbackReader

public abstract class FilterReader
extends Reader

Abstract class for reading filtered character streams.

Since:
  JDK1.1

Field Summary
`protected Reader` | `in` The underlying character-input stream, or null if the stream has been closed.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`protected` | `FilterReader(Reader in)` Create a new filtered reader.

Method Summary
`void` | `close()` Close the stream.
`void` | `mark(int readAheadLimit)` Mark the present position in the stream.
`boolean` | `markSupported()` Tell whether this stream supports the mark() operation.
`int` | `read()` Read a single character.
`int` | `read(char[] cbuf, int off, int len)` Read characters into a portion of an array.
`boolean` | `ready()` Tell whether this stream is ready to be read.
`void` | `reset()` Reset the stream.
`long` | `skip(long n)` Skip characters.

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected Reader in

  The underlying character-input stream, or null if the stream has been closed.

Constructor Detail

### FilterReader

    protected FilterReader(Reader in)

  Create a new filtered reader.
  Parameters:
    `in` - a Reader object providing the underlying stream.

Method Detail

### read

    public int read()
             throws IOException

  Read a single character.
  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Read characters into a portion of an array.
  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### skip

    public long skip(long n)
              throws IOException

  Skip characters.
  Overrides:
    `skip` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### ready

    public boolean ready()
                  throws IOException

  Tell whether this stream is ready to be read.
  Overrides:
    `ready` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### markSupported

    public boolean markSupported()

  Tell whether this stream supports the mark() operation.
  Overrides:
    `markSupported` in class `Reader`
  Following copied from class: `java.io.Reader`
  Returns:
    true if and only if this stream supports the mark operation.

### mark

    public void mark(int readAheadLimit)
              throws IOException

  Mark the present position in the stream.
  Overrides:
    `mark` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### reset

    public void reset()
               throws IOException

  Reset the stream.
  Overrides:
    `reset` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### close

    public void close()
               throws IOException

  Close the stream.
  Overrides:
    `close` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.